package com.my.db.android.util;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

public class DbHelper extends SQLiteOpenHelper {

	private static final String DATABASE_NAME = "search_history.db";
	private static final int DATABASE_VERSION = 1;
	public final String TABLE_NAME = "search_history";
	public final String COLOMN_NAME = "output";

	public DbHelper(Context context) {
		super(context, DATABASE_NAME, null, DATABASE_VERSION);
	}

	@Override
	public void onCreate(SQLiteDatabase sqliteDb) {
		String sql = "CREATE TABLE " + TABLE_NAME + " (" + COLOMN_NAME+ " LONGTEXT" + ");";
		sqliteDb.execSQL(sql);
	}

	@Override
	public void onUpgrade(SQLiteDatabase sqliteDb, int oldVersion,
			int newVersion) {
		Log.i(DbHelper.class.getName(), "Upgrading database from version " + oldVersion + " to "
				+ newVersion + ", which will destroy all old data");
		sqliteDb.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME);
		onCreate(sqliteDb);
	}
}
